CURLOPT_SSH_KEYDATA(3)

NAME
CURLOPT_SSH_HOSTKEYDATA - pointer to pass to the SSH hostkey callback

SYNOPSIS
#include <curl/curl.h>
CURLcode curl_easy_setopt(CURL *handle, CURLOPT_SSH_HOSTKEYDATA, void *pointer);

DESCRIPTION
Pass a void * as parameter. This pointer will be passed along verbatim to the callback set with CURLOPT_SSH_HOSTKEYFUNCTION(3).

DEFAULT
NULL

PROTOCOLS
SCP and SFTP

EXAMPLE
int hostkeycb(void *clientp,    /* passed with CURLOPT_SSH_HOSTKEYDATA */
              int keytype,      /* CURLKHTYPE */
              const char * key, /*hostkey to check*/
              size_t keylen);   /*length of the key*/
{
  /* 'clientp' points to the callback_data struct */
  /* investigate the situation and return the correct value */
  return CURLKHMATCH_OK;
}
{
  curl_easy_setopt(curl, CURLOPT_URL, "sftp://example.com/thisfile.txt");
  curl_easy_setopt(curl, CURLOPT_SSH_HOSTKEYFUNCTION, hostkeycb);
  curl_easy_setopt(curl, CURLOPT_SSH_HOSTKEYDATA, &callback_data);
  curl_easy_perform(curl);
}

AVAILABILITY
Added in 7.84.0, works only with libssh2 backend.

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_SSH_HOSTKEYFUNCTION(3),